import sys


def readlines(filename):
    """
    Reads the file with the given filename and
    returns a list of lines in the file.
    """
    with open(filename) as f:
        return f.readlines()


def read_csv(filename):
    lines = readlines(filename)
    data = {}
    for line in lines:
        food, calories = line.strip().split(',')
        data[food] = calories
    return data


def input_loop(foods):
    while True:
        food = input("Food: ")
        if food == '':
            return
        if food in foods:
            calories = foods[food]
            print(f"{food} has {calories} calories per serving")
        else:
            print(f"{food} is not in our database")


def main(infile):
    foods = read_csv(infile)
    input_loop(foods)


if __name__ == '__main__':
    main(sys.argv[1])
